Loading...
Area: Optimizely B2B Commerce

Compile error when updating your theme projects (4.4.5.41356 or later) in Classic

Recommended reading 

When updating your theme projects to version 4.4.5.41356 or later, you will need to make some edits to your theme project files to avoid getting a compile error.

Steps 

  1. Navigate to the file:

    .\src\Epi B2B Commerce.Web\Themes\yourtheme\yourtheme.csproj  ("yourtheme" = theme name)

  2. Open the file in a text editor.
  3. Remove the 3 XML nodes containing the text "DotNetCompilerPlatform" (two Import nodes and one Reference)

XMLNodes.png

Do you find this information helpful? Please log in to provide feedback.

Last updated: Dec 11, 2020

Recommended reading